### Enumeration

# WebKit LoadEvent

unstable since: 6.0

#### Declaration

    enum WebKit.LoadEvent

#### Description [src]

Enum values used to denote the different events that happen during a `WebKitWebView` load operation.

Available since: 6.0

#### Members

`WEBKIT_LOAD_STARTED`

  A new load request has been made. No data has been received yet, empty structures have been allocated to perform the load; the load may still fail due to transport issues such as not being able to resolve a name, or connect to a port.

  - Value: `0`
  - Nickname: `started`
  - Available since: 6.0
`WEBKIT_LOAD_REDIRECTED`

  A provisional data source received a server redirect.

  - Value: `1`
  - Nickname: `redirected`
  - Available since: 6.0
`WEBKIT_LOAD_COMMITTED`

  The content started arriving for a page load. The necessary transport requirements are established, and the load is being performed.

  - Value: `2`
  - Nickname: `committed`
  - Available since: 6.0
`WEBKIT_LOAD_FINISHED`

  Load completed. All resources are done loading or there was an error during the load operation.

  - Value: `3`
  - Nickname: `finished`
  - Available since: 6.0